﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Stimulsoft.Base.Drawing;
using Stimulsoft.Report;
using Stimulsoft.Report.Components;

namespace StimulsoftPostprocessingTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            StiReport report = new StiReport();

            report.Load(@"..\..\PostProcessingTestReport.mrt");
            report.Compile();
            report.CompiledReport.EndRender += DoPostProcessing;
            report.Render();

            report.ShowWithWpfRibbonGUI();

        }

        void DoPostProcessing(object sender, EventArgs e)
        {
            StiReport compiledReport = sender as StiReport;
            if (!ReferenceEquals(compiledReport, null))
            {
                foreach (StiPage renderedPage in compiledReport.RenderedPages.Items)
                {
                    StiComponentsCollection componentsCollection = renderedPage.GetComponents();
                    foreach (var component in componentsCollection)
                    {
                        StiText textComponent = component as StiText;
                        if (!ReferenceEquals(textComponent, null))
                        {
                            textComponent.TextBrush = new StiSolidBrush(Color.FromArgb(Color.Red.R, Color.Red.G, Color.Red.B));
                            Font newFont = new Font( textComponent.Font.FontFamily, 10.0f, textComponent.Font.Style);
                            textComponent.Font = newFont;
                        }
                    }
                }
            }
        }
    }
}
